Skip to main content
`Ctrl`+`K`

# DMStagSetRefinementFactor

set refinement ratios in each direction

## Synopsis

    PetscErrorCode DMStagSetRefinementFactor(DM dm, PetscInt refine_x, PetscInt refine_y, PetscInt refine_z)

Logically Collective

## Input Parameters

- dm - the `DMSTAG` object

- refine_x - ratio of fine grid to coarse in x-direction (2 by default)

- refine_y - ratio of fine grid to coarse in y-direction (2 by default)

- refine_z - ratio of fine grid to coarse in z-direction (2 by default)

## Note

Pass `PETSC_IGNORE` to leave a value unchanged

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMRefine()`, `DMCoarsen()`, `DMStagGetRefinementFactor()`, `DMDAGetRefinementFactor()`

## Level

intermediate

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages